SpaceLinq Android Support

Support policy for Android phones

Higher Ground has extensively tested SpaceLinq and SatPaq with a variety of phones from the most popular manufacturers.  SpaceLinq and SatPaq are intended for use with phones running manufacturer’s supported Android software (minimum Android 6.0 Marshmallow) with a minimum of 32GB memory.

The following phones have been tested and are officially supported.  This list will be updated as new makes and models of phones are tested and certified.

  • Samsung (Galaxy G5, G6, G7, G8, G9, G10)
  • Google (Pixel 1, 2, 3)
  • LG (V30, V40)
  • HTC (U11)
  • Motorola (Moto X4)

Based on our experience with Android, we expect that many other makes and models of phones will work well with SpaceLinq and SatPaq.  Phones which are not officially supported come under our permissive use policy, which means that Higher Ground is not obligated to correct problems that are specific to these phones, although we may do so at our option.

If you are uncertain whether your Android phone will work well with SpaceLinq and SatPaq, we recommend downloading SpaceLinq from the Google Play Store and try using it with wifi/cellular before purchasing a SatPaq.  For more information, please see the User Reference Guide on our website at https://satpaq.com/reference.

Get your SatPaq!